<div style="margin-top: 20px;">
    <h5>
       <span jhiTranslate="mpmApp.memos.home.title">Memos</span>
    </h5>
    <p-dataTable
        [value]="memos"
        [editable]="true"
        [rows]="itemsPerPage"
        [paginator]="true"
        [pageLinks]="5"
        [rowsPerPageOptions]="[10,15,20]"
        [totalRecords]="totalItems"
        [responsive]="true"
        [lazy]="true"
        dataKey="idMemo"
        expandableRows="false"
        (onLazyLoad)="loadDataLazy($event)"
        (onEditComplete)="updateRowData($event)">
        <p-header>
            <form name="searchForm" class="form-inline">
                <div class="input-group w-100 mt-3">
                    <input type="text" class="form-control" [(ngModel)]="currentSearch" id="currentSearch"
                        name="currentSearch" placeholder="{{ 'mpmApp.memos.home.search' | translate }}">
                    <button class="input-group-addon btn btn-info flat-style-button" (click)="search(currentSearch)" *ngIf="currentSearch">
                        <span class="fa fa-search"></span>
                    </button>
                    <button class="input-group-addon btn btn-danger flat-style-button" (click)="clear()" *ngIf="currentSearch">
                        <span class="fa fa-trash-o"></span>
                    </button>
                    <ul class="nav justify-content-end">
                        <li class="nav-item">
                            <a class="btn" [routerLink]="['../memos-new/true']"><span><i class="fa fa-plus"></i> &nbsp;{{ 'entity.action.add' | translate }}</span></a>
                        </li>
                    </ul>
                </div>
            </form>
        </p-header>
        <!-- <p-column expander="false" styleClass="col-icon" [style]="{'width': '35px', 'text-align': 'center'}"></p-column> -->
        <p-column header="{{'mpmApp.memos.labelSequence'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
            <ng-template let-rowIndex="rowIndex" pTemplate="body">
                {{rowIndex + 1}}
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.memos.memoNumber'|translate}}">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.memoNumber}}
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.memos.dealer'|translate}}">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.dealerName | uppercase }}
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.memos.billing'|translate}}">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.currbillnumb}}
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.memos.memoType'|translate}}">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.memoTypeDescription | uppercase}}
            </ng-template>
        </p-column>
        <p-column header="Status">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{getDescription(rowData.currentStatus)}}
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.memos.labelAction'|translate}}" [style]="{'width': '150px', 'text-align': 'center'}">
            <ng-template let-rowData="rowData" pTemplate="body">
                <button pButton type="button"
                        [routerLink]="['../memos/'+ rowData.idMemo + '/edit']"
                        icon="fa-pencil"
                        class="flat-button"
                        pTooltip="Edit Memo">
                </button>
                
                <button pButton type="button"
                    *ngIf="rowData.currentStatus==10"
                    (click)="approveMemo(rowData)"
                    icon="fa fa-check-circle-o"
                    class="flat-button"
                    pTooltip="Approve Memo">
                </button>

                <button pButton type="button"
                    *ngIf="rowData.currentStatus==10"
                    (click)="cancelMemo(rowData)"
                    icon="fa fa-remove"
                    class="flat-button"
                    pTooltip="Cancel Memo">
                </button>
            
            </ng-template>
        </p-column>
        <ng-template let-rowData let-rowIndex='rowIndex' pTemplate="rowexpansion">
        </ng-template>
    </p-dataTable>
</div>
<div style="margin-top: 10px;"></div>

<p-confirmDialog></p-confirmDialog>